class Menge { // eigentlich public

	private int[] werte;
	private int next;

	// Voraussetzung: maxSize muss groesser als 0 sein
	public Menge(int maxSize) {
		this.werte = new int[maxSize];
		this.next = 0;
	}

	public Menge(Menge menge) {
		this(menge.werte.length);
		this.next = menge.next;
		for (int i = 0; i < this.next; i++) {
			this.werte[i] = menge.werte[i]; // elementweises Kopieren!
		}
	}

	public boolean istGleich(Menge menge) {
		if (this.next != menge.next) {
			return false;
		}
		for (int i = 0; i < this.next; i++) {
			boolean enthalten = false;
			for (int j = 0; j < this.next; j++) {
				if (menge.werte[j] == this.werte[i]) {
					enthalten = true;
				}
			}
			if (!enthalten) {
				return false;
			}
		}
		return true;
	}

	public String makeString() {
		String str = "[";
		for (int i = 0; i < this.next - 1; i++) {
			str += this.werte[i] + ", ";
		}
		if (this.next - 1 >= 0) {
			str += this.werte[this.next - 1];
		}
		str += "]";
		return str;
	}

	public boolean istLeer() {
		return this.next == 0;
	}

	public boolean istVoll() {
		return this.next == this.werte.length;
	}

	public boolean istEnthalten(int elem) {
		for (int i = 0; i < this.next; i++) {
			if (this.werte[i] == elem) {
				return true;
			}
		}
		return false;
	}

	public boolean hinzufuegen(int elem) {
		if (!this.istVoll() && !this.istEnthalten(elem)) {
			this.werte[this.next] = elem;
			this.next++;
			return true;
		} else {
			return false;
		}
	}

	public static Menge schnittmenge(Menge m1, Menge m2) {
		Menge menge = new Menge(Math.min(m1.werte.length, m2.werte.length));
		for (int i = 0; i < m1.next; i++) {
			for (int j = 0; j < m2.next; j++) {
				if (m1.werte[i] == m2.werte[j]) {
					menge.hinzufuegen(m1.werte[i]);
				}
			}
		}
		return menge;
	}

	public static Menge vereinigung(Menge m1, Menge m2) {
		Menge menge = new Menge(m1);
		for (int i = 0; i < m2.next; i++) {
			menge.hinzufuegen(m2.werte[i]);
		}
		return menge;
	}
}

public class UE15Aufgabe14 {

	// kleines Testprogramm (nur ein Ausschnitt)
	public static void main(String[] args) {
		Menge m1 = new Menge(10);
		m1.hinzufuegen(2);
		m1.hinzufuegen(3);
		m1.hinzufuegen(2);
		System.out.println(m1.makeString());

		Menge m2 = new Menge(5);
		m2.hinzufuegen(1);
		m2.hinzufuegen(3);
		m2.hinzufuegen(5);
		System.out.println(m2.makeString());

		Menge m3 = Menge.schnittmenge(m1, m2);
		System.out.println(m3.makeString());

		Menge m4 = Menge.vereinigung(m1, m2);
		System.out.println(m4.makeString());
	}

}
