class Binaerzahl { // eigentlich public

	private int wert;

	public Binaerzahl() {
		wert = 0;
	}

	public Binaerzahl(String zahl) {
		wert = toInt(zahl);
	}

	public Binaerzahl(Binaerzahl zahl) {
		wert = zahl.wert;
	}

	public Binaerzahl clone() {
		return new Binaerzahl(this);
	}

	public boolean equals(Binaerzahl zahl) {
		return this.wert == zahl.wert;
	}

	public String toString() {
		if (wert == 0) {
			return "0";
		}
		String str = "";
		int zahl = wert;
		while (zahl > 0) {
			str = (zahl % 2) + str;
			zahl = zahl / 2;
		}
		return str;
	}

	public Binaerzahl add(Binaerzahl zahl) {
		this.wert += zahl.wert;
		return this;
	}

	public static Binaerzahl add(Binaerzahl zahl1, Binaerzahl zahl2) {
		Binaerzahl zahl = new Binaerzahl(zahl1);
		return zahl.add(zahl2);
	}

	private static int toInt(String str) {
		int wert = 0;
		for (int i = 0; i < str.length(); i++) {
			int ziffer = str.charAt(i) - '0';
			if (ziffer < 0 || ziffer > 1) {
				// Fehler (siehe Exceptions)
			}
			wert = wert * 2 + ziffer;
		}
		return wert;
	}
}

public class UE15Aufgabe17 {
	// Testprogramm
	public static void main(String[] args) {
		String eingabe1 = IO.readString("Zahl 1: ");
		String eingabe2 = IO.readString("Zahl 2: ");
		Binaerzahl zahl1 = new Binaerzahl(eingabe1);
		Binaerzahl zahl2 = new Binaerzahl(eingabe2);
		System.out.println(zahl1);
		System.out.println(zahl2);
		zahl1.add(zahl2);
		System.out.println(zahl1);
		Binaerzahl zahl3 = Binaerzahl.add(zahl1, zahl2);
		System.out.println(zahl3);
	}

}
