class Queue { // eigentlich public
	private int[] values;
	private int next;

	public Queue(int maxSize) {
		this.values = new int[maxSize];
		this.next = 0;
	}

	public boolean isEmpty() {
		return this.next == 0;
	}

	public boolean isFull() {
		return this.next == this.values.length;
	}

	public void enqueue(int value) {
		if (!this.isFull()) {
			this.values[this.next++] = value;
		}
	}

	public int dequeue() {
		if (!this.isEmpty()) {
			int res = this.values[0];
			for (int i = 1; i < this.next; i++) {
				this.values[i - 1] = this.values[i];
			}
			this.next--;
			return res;
		} else {
			return -1; // Fehlerbehandlung erfolgt spaeter mit Exceptions
		}
	}
}

public class UE15Aufgabe4 {

	// Testprogramm
	public static void main(String[] args) {
		Queue queue = new Queue(2);
		int zahl = IO.readInt("Zahl: ");
		while (zahl != 0) {
			if (!queue.isFull()) {
				queue.enqueue(zahl);
			}
			zahl = IO.readInt("Zahl: ");
		}
		while (!queue.isEmpty()) {
			System.out.println(queue.dequeue());
		}
	}
}
